---
updatedAt: 2025-11-13T14:11:33.000Z
agentTools:
  siteIndex: https://docs.affirm.com/llms.txt
  projectIndex: https://docs.affirm.com/developers/llms.txt
---

# Introduction

Welcome to our API reference! We're happy that you've decided to partner with us and explore our REST APIs. To get started, you'll first want to log into the [Merchant Portal](https://businesshub.affirm.com/hc/en-us/articles/10892008172308-Understanding-the-Merchant-Portal-Home), set up your development environment, and get your [API keys](https://businesshub.affirm.com/hc/en-us/articles/10893397344788) for the sandbox and live environments.

## Making REST API calls

To make a REST API call, include the URL associated with the sandbox or live environment"

* **Sandbox:**  `https://sandbox.affirm.com`
* **Live**:  `https://api.affirm.com`

When making a call, include your private or public API keys.

**Sample Request**

```curl
curl https://api.affirm.com/api/v1/transactions
     -X POST
     -u "<public_api_key>:<private_api_key>"
     -H "Content-Type: application/json"
     -d '{"checkout_token": "<checkout_token>","order_id": "JKLM4321"}'
```

## New to Affirm?

If this is your first time here, you may want to take a look at our [quickstart](https://docs.affirm.com/developers/docs/development-quickstart) guide to get you up and running.

> 📘 Plugins & extensions
>
> If code scares you a little bit, don't worry about it! Use our [Platform Integrations](https://docs.affirm.com/developers/docs/platforms-quickstart) plugins to get started with Affirm with little to no code required.

# Sibling pages

* [Authentication](https://docs.affirm.com/developers/reference/authentication.md)
* [Errors](https://docs.affirm.com/developers/reference/errors.md)
* [Metadata](https://docs.affirm.com/developers/reference/metadata.md)
* [Data Types](https://docs.affirm.com/developers/reference/data-types-4.md)